## org.firebirdsql.jdbc
Class FBStatement

    java.lang.Object
      org.firebirdsql.jdbc.AbstractStatement
          org.firebirdsql.jdbc.FBStatement

All Implemented Interfaces:
  Statement, Wrapper, FirebirdStatement, Synchronizable

    public class FBStatement

extends AbstractStatement

Author:
  Roman Rokytskyy

Field Summary

Fields inherited from class org.firebirdsql.jdbc.AbstractStatement
`completed, fetchSize, firstWarning, fixedStmt, gdsHelper, hasMoreResults, isResultSet, maxRows, statementListener`

Fields inherited from interface org.firebirdsql.jdbc.FirebirdStatement
`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, KEEP_CURRENT_RESULT`

Fields inherited from interface java.sql.Statement
`EXECUTE_FAILED, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

Constructor Summary
`FBStatement(GDSHelper c, int rsType, int rsConcurrency, int rsHoldability, FBObjectListener.StatementListener statementListener)`

Method Summary
`boolean` `execute(String param1, int param2)` jdbc 3
`boolean` `execute(String param1, int[] param2)` jdbc 3
`boolean` `execute(String param1, String[] param2)` jdbc 3
`int` `executeUpdate(String param1, int param2)` jdbc 3
`int` `executeUpdate(String param1, int[] param2)` jdbc 3
`int` `executeUpdate(String param1, String[] param2)` jdbc 3
`ResultSet` `getGeneratedKeys()` jdbc 3
`boolean` `isPoolable()`
`boolean` `isWrapperFor(Class arg0)`
`void` `setPoolable(boolean poolable)`
`Object` `unwrap(Class arg0)`

Methods inherited from class org.firebirdsql.jdbc.AbstractStatement

`addBatch, addWarning, cancel, clearBatch, clearWarnings, close, completeStatement, execute, executeBatch, executeQuery, executeUpdate, finalize, forgetResultSet, getConnection, getCurrentResultSet, getDeletedRowsCount, getFetchDirection, getFetchSize, getInsertedRowsCount, getLastExecutionPlan, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getSynchronizationObject, getUpdateCount, getUpdatedRowsCount, getWarnings, hasOpenResultSet, internalExecute, isClosed, isExecuteProcedureStatement, isValid, nativeSQL, notifyStatementCompleted, notifyStatementCompleted, notifyStatementStarted, notifyStatementStarted, prepareFixedStatement, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setQueryTimeout, toArray`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FBStatement

    public FBStatement(GDSHelper c,
                       int rsType,
                       int rsConcurrency,
                       int rsHoldability,
                       FBObjectListener.StatementListener statementListener)
                throws SQLException

Throws:
  `SQLException`

Method Detail

### getGeneratedKeys

    public ResultSet getGeneratedKeys()
                               throws SQLException

  jdbc 3

  Returns:
    <description>
  Throws:
    `SQLException` - <description>

### executeUpdate

    public int executeUpdate(String param1,
                             int param2)
                      throws SQLException

  jdbc 3

  Parameters:
    `param1` - <description>
    `param2` - <description>
  Returns:
    <description>
  Throws:
    `SQLException` - <description>

### executeUpdate

    public int executeUpdate(String param1,
                             int[] param2)
                      throws SQLException

  jdbc 3

  Parameters:
    `param1` - <description>
    `param2` - <description>
  Returns:
    <description>
  Throws:
    `SQLException` - <description>

### executeUpdate

    public int executeUpdate(String param1,
                             String[] param2)
                      throws SQLException

  jdbc 3

  Parameters:
    `param1` - <description>
    `param2` - <description>
  Returns:
    <description>
  Throws:
    `SQLException` - <description>

### execute

    public boolean execute(String param1,
                           int param2)
                    throws SQLException

  jdbc 3

  Parameters:
    `param1` - <description>
    `param2` - <description>
  Returns:
    <description>
  Throws:
    `SQLException` - <description>

### execute

    public boolean execute(String param1,
                           int[] param2)
                    throws SQLException

  jdbc 3

  Parameters:
    `param1` - <description>
    `param2` - <description>
  Returns:
    <description>
  Throws:
    `SQLException` - <description>

### execute

    public boolean execute(String param1,
                           String[] param2)
                    throws SQLException

  jdbc 3

  Parameters:
    `param1` - <description>
    `param2` - <description>
  Returns:
    <description>
  Throws:
    `SQLException` - <description>

### isPoolable

    public boolean isPoolable()
                       throws SQLException

  Throws:
    `SQLException`

### setPoolable

    public void setPoolable(boolean poolable)
                     throws SQLException

  Throws:
    `SQLException`

### isWrapperFor

    public boolean isWrapperFor(Class arg0)
                         throws SQLException

  Throws:
    `SQLException`

### unwrap

    public Object unwrap(Class arg0)
                  throws SQLException

  Throws:
    `SQLException`

Copyright © 2001-2010. All Rights Reserved.